## ranger 0.2.6

=== DESCRIPTION ===
Package: ranger
Type: Package
Title: A Fast Implementation of Random Forests
Version: 0.2.6
Date: 2015-07-28
Author: Marvin N. Wright
Maintainer: Marvin N. Wright <wright@imbs.uni-luebeck.de>
Description: A fast implementation of Random Forests, particularly suited for high
         dimensional data. Ensembles of classification, regression, survival and
         probability prediction trees are supported. Data from genome-wide
         association studies can be analyzed efficiently. In addition to data
         frames, datasets of class 'gwaa.data' (R package GenABEL) can be directly
         analyzed.
License: GPL-3
Imports: Rcpp (>= 0.11.2)
LinkingTo: Rcpp
Depends: R (>= 3.1)
Suggests: survival
Packaged: 2015-07-28 10:51:07 UTC; wright
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2015-07-28 22:59:24

## ranger 0.2.7

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: ranger
 Type: Package
 Title: A Fast Implementation of Random Forests
-Version: 0.2.6
-Date: 2015-07-28
+Version: 0.2.7
+Date: 2015-07-29
 Author: Marvin N. Wright
 Maintainer: Marvin N. Wright <wright@imbs.uni-luebeck.de>
 Description: A fast implementation of Random Forests, particularly suited for high
@@ -16,7 +16,7 @@
 LinkingTo: Rcpp
 Depends: R (>= 3.1)
 Suggests: survival
-Packaged: 2015-07-28 10:51:07 UTC; wright
+Packaged: 2015-07-29 07:49:30 UTC; wright
 NeedsCompilation: yes
 Repository: CRAN
-Date/Publication: 2015-07-28 22:59:24
+Date/Publication: 2015-07-29 10:44:25

## ranger 0.3.0

=== DESCRIPTION ===
Package: ranger
Type: Package
Title: A Fast Implementation of Random Forests
Version: 0.3.0
Date: 2015-11-10
Author: Marvin N. Wright
Maintainer: Marvin N. Wright <wright@imbs.uni-luebeck.de>
Description: A fast implementation of Random Forests, particularly suited for high dimensional data.
            Ensembles of classification, regression, survival and probability prediction trees are
            supported. Data from genome-wide association studies can be analyzed efficiently. In addition to
            data frames, datasets of class 'gwaa.data' (R package GenABEL) can be directly analyzed.
License: GPL-3
Imports: Rcpp (>= 0.11.2)
LinkingTo: Rcpp
Depends: R (>= 3.1)
Suggests: survival, testthat
Packaged: 2015-11-10 12:30:39 UTC; wright
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2015-11-10 18:15:08

## ranger 0.4.0

=== DESCRIPTION ===
Package: ranger
Type: Package
Title: A Fast Implementation of Random Forests
Version: 0.4.0
Date: 2016-04-07
Author: Marvin N. Wright
Maintainer: Marvin N. Wright <wright@imbs.uni-luebeck.de>
Description: A fast implementation of Random Forests, particularly suited for high dimensional data. Ensembles
            of classification, regression, survival and probability prediction trees are supported. Data from
            genome-wide association studies can be analyzed efficiently. In addition to data frames, datasets
            of class 'gwaa.data' (R package 'GenABEL') can be directly analyzed.
License: GPL-3
Imports: Rcpp (>= 0.11.2)
LinkingTo: Rcpp
Depends: R (>= 3.1)
Suggests: survival, testthat
RoxygenNote: 5.0.1
NeedsCompilation: yes
Packaged: 2016-04-07 14:24:06 UTC; wright
Repository: CRAN
Date/Publication: 2016-04-07 18:27:32

## ranger 0.5.0

=== DESCRIPTION ===
Package: ranger
Type: Package
Title: A Fast Implementation of Random Forests
Version: 0.5.0
Date: 2016-06-23
Author: Marvin N. Wright
Maintainer: Marvin N. Wright <wright@imbs.uni-luebeck.de>
Description: A fast implementation of Random Forests, particularly suited for high dimensional data. Ensembles of
            classification, regression, survival and probability prediction trees are supported. Data from
            genome-wide association studies can be analyzed efficiently. In addition to data frames, datasets of
            class 'gwaa.data' (R package 'GenABEL') can be directly analyzed.
License: GPL-3
Imports: Rcpp (>= 0.11.2)
LinkingTo: Rcpp
Depends: R (>= 3.1)
Suggests: survival, testthat, GenABEL
RoxygenNote: 5.0.1
URL: https://github.com/imbs-hl/ranger
BugReports: https://github.com/imbs-hl/ranger/issues
NeedsCompilation: yes
Packaged: 2016-06-23 08:35:22 UTC; wright
Repository: CRAN
Date/Publication: 2016-06-24 09:53:53

## ranger 0.6.0

=== DESCRIPTION ===
Package: ranger
Type: Package
Title: A Fast Implementation of Random Forests
Version: 0.6.0
Date: 2016-10-07
Author: Marvin N. Wright
Maintainer: Marvin N. Wright <wright@imbs.uni-luebeck.de>
Description: A fast implementation of Random Forests, particularly suited for high dimensional
          data. Ensembles of classification, regression, survival and probability prediction
          trees are supported. Data from genome-wide association studies can be analyzed
          efficiently. In addition to data frames, datasets of class 'gwaa.data' (R package
          'GenABEL') can be directly analyzed.
License: GPL-3
Imports: Rcpp (>= 0.11.2)
LinkingTo: Rcpp
Depends: R (>= 3.1)
Suggests: survival, testthat, GenABEL
RoxygenNote: 5.0.1
URL: https://github.com/imbs-hl/ranger
BugReports: https://github.com/imbs-hl/ranger/issues
NeedsCompilation: yes
Packaged: 2016-10-07 11:47:46 UTC; wright
Repository: CRAN
Date/Publication: 2016-10-07 18:10:05

## ranger 0.7.0

=== DESCRIPTION ===
Package: ranger
Type: Package
Title: A Fast Implementation of Random Forests
Version: 0.7.0
Date: 2017-03-23
Author: Marvin N. Wright
Maintainer: Marvin N. Wright <wright@imbs.uni-luebeck.de>
Description: A fast implementation of Random Forests, particularly suited for high
          dimensional data. Ensembles of classification, regression, survival and
          probability prediction trees are supported. Data from genome-wide association
          studies can be analyzed efficiently. In addition to data frames, datasets of
          class 'gwaa.data' (R package 'GenABEL') can be directly analyzed.
License: GPL-3
Imports: Rcpp (>= 0.11.2)
LinkingTo: Rcpp
Depends: R (>= 3.1)
Suggests: survival, testthat, GenABEL
RoxygenNote: 5.0.1
URL: https://github.com/imbs-hl/ranger
BugReports: https://github.com/imbs-hl/ranger/issues
NeedsCompilation: yes
Packaged: 2017-03-23 13:33:07 UTC; wright
Repository: CRAN
Date/Publication: 2017-03-31 16:19:06 UTC

## ranger 0.8.0

=== DESCRIPTION ===
Package: ranger
Type: Package
Title: A Fast Implementation of Random Forests
Version: 0.8.0
Date: 2017-06-19
Author: Marvin N. Wright
Maintainer: Marvin N. Wright <cran@wrig.de>
Description: A fast implementation of Random Forests, particularly suited for high
          dimensional data. Ensembles of classification, regression, survival and
          probability prediction trees are supported. Data from genome-wide association
          studies can be analyzed efficiently. In addition to data frames, datasets of
          class 'gwaa.data' (R package 'GenABEL') can be directly analyzed.
License: GPL-3
Imports: Rcpp (>= 0.11.2), Matrix
LinkingTo: Rcpp, RcppEigen
Depends: R (>= 3.1)
Suggests: survival, testthat, GenABEL
RoxygenNote: 6.0.1
URL: https://github.com/imbs-hl/ranger
BugReports: https://github.com/imbs-hl/ranger/issues
NeedsCompilation: yes
Packaged: 2017-06-19 14:10:39 UTC; wright
Repository: CRAN
Date/Publication: 2017-06-20 15:35:58 UTC

## ranger 0.9.0

=== DESCRIPTION ===
Package: ranger
Type: Package
Title: A Fast Implementation of Random Forests
Version: 0.9.0
Date: 2018-01-08
Author: Marvin N. Wright [aut, cre], Stefan Wager [ctb], Philipp Probst [ctb]
Maintainer: Marvin N. Wright <cran@wrig.de>
Description: A fast implementation of Random Forests, particularly suited for high
          dimensional data. Ensembles of classification, regression, survival and
          probability prediction trees are supported. Data from genome-wide association
          studies can be analyzed efficiently. In addition to data frames, datasets of
          class 'gwaa.data' (R package 'GenABEL') and 'dgCMatrix' (R package 'Matrix') 
          can be directly analyzed.
License: GPL-3
Imports: Rcpp (>= 0.11.2), Matrix
LinkingTo: Rcpp, RcppEigen
Depends: R (>= 3.1)
Suggests: survival, testthat, GenABEL
RoxygenNote: 6.0.1
URL: https://github.com/imbs-hl/ranger
BugReports: https://github.com/imbs-hl/ranger/issues
NeedsCompilation: yes
Packaged: 2018-01-09 11:59:12 UTC; wright
Repository: CRAN
Date/Publication: 2018-01-09 15:08:55 UTC

## ranger 0.10.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: ranger
 Type: Package
 Title: A Fast Implementation of Random Forests
-Version: 0.9.0
-Date: 2018-01-08
+Version: 0.10.0
+Date: 2018-05-29
 Author: Marvin N. Wright [aut, cre], Stefan Wager [ctb], Philipp Probst [ctb]
 Maintainer: Marvin N. Wright <cran@wrig.de>
 Description: A fast implementation of Random Forests, particularly suited for high
@@ -15,11 +15,11 @@
 Imports: Rcpp (>= 0.11.2), Matrix
 LinkingTo: Rcpp, RcppEigen
 Depends: R (>= 3.1)
-Suggests: survival, testthat, GenABEL
+Suggests: survival, testthat
 RoxygenNote: 6.0.1
 URL: https://github.com/imbs-hl/ranger
 BugReports: https://github.com/imbs-hl/ranger/issues
 NeedsCompilation: yes
-Packaged: 2018-01-09 11:59:12 UTC; wright
+Packaged: 2018-05-29 13:49:56 UTC; wright
 Repository: CRAN
-Date/Publication: 2018-01-09 15:08:55 UTC
+Date/Publication: 2018-05-29 16:28:30 UTC

## ranger 0.10.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: ranger
 Type: Package
 Title: A Fast Implementation of Random Forests
-Version: 0.10.0
+Version: 0.10.1
 Date: 2018-05-29
 Author: Marvin N. Wright [aut, cre], Stefan Wager [ctb], Philipp Probst [ctb]
 Maintainer: Marvin N. Wright <cran@wrig.de>
@@ -20,6 +20,6 @@
 URL: https://github.com/imbs-hl/ranger
 BugReports: https://github.com/imbs-hl/ranger/issues
 NeedsCompilation: yes
-Packaged: 2018-05-29 13:49:56 UTC; wright
+Packaged: 2018-06-01 20:13:34 UTC; wright
 Repository: CRAN
-Date/Publication: 2018-05-29 16:28:30 UTC
+Date/Publication: 2018-06-04 09:27:54 UTC

## ranger 0.11.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: ranger
 Type: Package
 Title: A Fast Implementation of Random Forests
-Version: 0.10.1
-Date: 2018-05-29
+Version: 0.11.0
+Date: 2019-01-16
 Author: Marvin N. Wright [aut, cre], Stefan Wager [ctb], Philipp Probst [ctb]
 Maintainer: Marvin N. Wright <cran@wrig.de>
 Description: A fast implementation of Random Forests, particularly suited for high
@@ -16,10 +16,10 @@
 LinkingTo: Rcpp, RcppEigen
 Depends: R (>= 3.1)
 Suggests: survival, testthat
-RoxygenNote: 6.0.1
+RoxygenNote: 6.1.1
 URL: https://github.com/imbs-hl/ranger
 BugReports: https://github.com/imbs-hl/ranger/issues
 NeedsCompilation: yes
-Packaged: 2018-06-01 20:13:34 UTC; wright
+Packaged: 2019-01-21 10:29:18 UTC; wright
 Repository: CRAN
-Date/Publication: 2018-06-04 09:27:54 UTC
+Date/Publication: 2019-01-21 13:10:02 UTC

## ranger 0.11.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: ranger
 Type: Package
 Title: A Fast Implementation of Random Forests
-Version: 0.11.0
-Date: 2019-01-16
+Version: 0.11.2
+Date: 2019-03-07
 Author: Marvin N. Wright [aut, cre], Stefan Wager [ctb], Philipp Probst [ctb]
 Maintainer: Marvin N. Wright <cran@wrig.de>
 Description: A fast implementation of Random Forests, particularly suited for high
@@ -20,6 +20,6 @@
 URL: https://github.com/imbs-hl/ranger
 BugReports: https://github.com/imbs-hl/ranger/issues
 NeedsCompilation: yes
-Packaged: 2019-01-21 10:29:18 UTC; wright
+Packaged: 2019-03-07 12:01:18 UTC; wright
 Repository: CRAN
-Date/Publication: 2019-01-21 13:10:02 UTC
+Date/Publication: 2019-03-07 14:10:20 UTC

## ranger 0.12.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: ranger
 Type: Package
 Title: A Fast Implementation of Random Forests
-Version: 0.11.2
-Date: 2019-03-07
+Version: 0.12.0
+Date: 2020-01-02
 Author: Marvin N. Wright [aut, cre], Stefan Wager [ctb], Philipp Probst [ctb]
 Maintainer: Marvin N. Wright <cran@wrig.de>
 Description: A fast implementation of Random Forests, particularly suited for high
@@ -16,10 +16,11 @@
 LinkingTo: Rcpp, RcppEigen
 Depends: R (>= 3.1)
 Suggests: survival, testthat
-RoxygenNote: 6.1.1
+Encoding: UTF-8
+RoxygenNote: 7.0.2
 URL: https://github.com/imbs-hl/ranger
 BugReports: https://github.com/imbs-hl/ranger/issues
 NeedsCompilation: yes
-Packaged: 2019-03-07 12:01:18 UTC; wright
+Packaged: 2020-01-08 08:13:53 UTC; wright
 Repository: CRAN
-Date/Publication: 2019-03-07 14:10:20 UTC
+Date/Publication: 2020-01-09 18:30:03 UTC

## ranger 0.14.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: ranger
 Type: Package
 Title: A Fast Implementation of Random Forests
-Version: 0.12.0
-Date: 2020-01-02
+Version: 0.14.1
+Date: 2022-06-17
 Author: Marvin N. Wright [aut, cre], Stefan Wager [ctb], Philipp Probst [ctb]
 Maintainer: Marvin N. Wright <cran@wrig.de>
 Description: A fast implementation of Random Forests, particularly suited for high
@@ -17,10 +17,10 @@
 Depends: R (>= 3.1)
 Suggests: survival, testthat
 Encoding: UTF-8
-RoxygenNote: 7.0.2
+RoxygenNote: 7.2.0
 URL: https://github.com/imbs-hl/ranger
 BugReports: https://github.com/imbs-hl/ranger/issues
 NeedsCompilation: yes
-Packaged: 2020-01-08 08:13:53 UTC; wright
+Packaged: 2022-06-17 07:07:55 UTC; wright
 Repository: CRAN
-Date/Publication: 2020-01-09 18:30:03 UTC
+Date/Publication: 2022-06-18 13:30:02 UTC

## ranger 1.4.3

=== debian/changelog ===
ranger (1.4.3-1) unstable; urgency=low

  * New upstream release
  * "python" lowercase in short description, fixed. (Closes: #617880)
  * Two typos in the man page (patch from A. Costa), fixed. (Closes: #619142)

 -- Vern Sun <s5unty@gmail.com>  Wed, 06 Apr 2011 09:03:36 +0800

ranger (1.4.1-1) unstable; urgency=low

  * Initial release (Closes: #609449).

 -- Vern Sun <s5unty@gmail.com>  Sun, 09 Jan 2011 22:14:31 +0800

=== debian/control ===
Source: ranger
Section: utils
Priority: extra
Maintainer: Vern Sun <s5unty@gmail.com>
Build-Depends: debhelper (>= 7.0.50), python (>= 2.6), python-support, ncurses-bin (>= 5.7+20100313-5)
Standards-Version: 3.9.1
Homepage: http://ranger.nongnu.org/

Package: ranger
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, file, less
Suggests: atool, caca-utils, elinks-lite, highlight
Provides: ${python:Provides}
Description: File manager with an ncurses frontend written in Python
 Ranger is a free console file manager that gives you greater flexibility and a
 good overview of your files without having to leave your *nix console. It
 visualizes the directory tree in two dimensions: the directory hierarchy on
 one, lists of files on the other, with a preview to the right so you know
 where you'll be going.
 .
 The default keys are similar to those of Vim, Emacs and Midnight Commander,
 though Ranger is easily controllable with just the arrow keys or the mouse.
 .
 The program is written in Python (2.6 or 3.1) and uses curses for the
 text-based user interface.

=== debian/rules ===
#!/usr/bin/make -f

DH_VERBOSE=1

-include /usr/share/python/python.mk
ifeq (,$(py_libdir))
  py_libdir = /usr/lib/python$(subst python,,$(1))/site-packages
endif
PYDEF=$(shell pyversions -vd)

override_dh_auto_test:

override_dh_compress:
	find $(CURDIR)/debian/ranger -name '*._*' -delete
	dh_compress

%:
	dh $@

## ranger 1.5.2

=== Makefile ===
# Copyright (C) 2009, 2010, 2011  Roman Zimbelmann <romanz@lavabit.com>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

NAME = ranger
VERSION = $(shell grep -m 1 -o '[0-9][0-9.]\+' README)
SNAPSHOT_NAME ?= $(NAME)-$(VERSION)-$(shell git rev-parse HEAD | cut -b 1-8).tar.gz
# Find suitable python version (need python >= 2.6 or 3.1):
PYTHON ?= $(shell python -c 'import sys; sys.exit(sys.version < "2.6")' && \
	which python || which python3.2 || which python3.1 || which python3 || \
	which python2.6)
SETUPOPTS ?= '--record=install_log.txt'
DOCDIR ?= doc/pydoc
DESTDIR ?= /
PYOPTIMIZE ?= 1

CWD = $(shell pwd)

default: test compile
	@echo 'Run `make options` for a list of all options'

options: help
	@echo
	@echo 'Options:'
	@echo 'PYTHON = $(PYTHON)'
	@echo 'PYOPTIMIZE = $(PYOPTIMIZE)'
	@echo 'DOCDIR = $(DOCDIR)'

help:
	@echo 'make:          Test and compile ranger.'
	@echo 'make install:  Install $(NAME)'
	@echo 'make clean:    Remove the compiled files (*.pyc, *.pyo)'
	@echo 'make doc:      Create the pydoc documentation'
	@echo 'make cleandoc: Remove the pydoc documentation'
	@echo 'make man:      Compile the manpage with "pod2man"'
	@echo 'make manhtml:  Compile the html manpage with "pod2html"'
	@echo 'make snapshot: Create a tar.gz of the current git revision'
	@echo 'make test:     Test all testable modules of ranger'
	@echo 'make todo:     Look for TODO and XXX markers in the source code'

install:
	$(PYTHON) setup.py install $(SETUPOPTS) \
		'--root=$(DESTDIR)' --optimize=$(PYOPTIMIZE)

compile: clean
	PYTHONOPTIMIZE=$(PYOPTIMIZE) $(PYTHON) -m compileall -q ranger

clean:
	find ranger -regex .\*.py[co]\$$ -delete
	find ranger -depth -name __pycache__ -type d -exec rm -rf -- {} \;

doc: cleandoc
	mkdir -p $(DOCDIR)
	cd $(DOCDIR); \
		$(PYTHON) -c 'import pydoc, sys; \
		sys.path[0] = "$(CWD)"; \
		pydoc.writedocs("$(CWD)")'
	find . -name \*.html -exec sed -i 's|'$(CWD)'|../..|g' -- {} \;

test:
	@for FILE in $(shell grep -IHm 1 doctest -r ranger | cut -d: -f1); do \
		echo "Testing $$FILE..."; \
		PYTHONPATH=".:"$$PYTHONPATH ${PYTHON} $$FILE; \
	done

man:
	pod2man --stderr --center='ranger manual' --date='$(NAME)-$(VERSION)' \
		--release=$(shell date +%x) doc/ranger.pod doc/ranger.1

manhtml:
	pod2html doc/ranger.pod --outfile=doc/ranger.1.html

cleandoc:
	test -d $(DOCDIR) && rm -f -- $(DOCDIR)/*.html || true

snapshot:
	git archive --prefix='$(NAME)-$(VERSION)/' --format=tar HEAD | gzip > $(SNAPSHOT_NAME)

todo:
	@grep --color -Ion '\(TODO\|XXX\).*' -r ranger

.PHONY: default options compile clean doc cleandoc snapshot install man todo

=== debian/changelog ===
ranger (1.5.2-1) unstable; urgency=low

  * New upstream release.
  * Python tested with version 2.6, 2.7, 3.1, 3.2 (Closes: #643782)
  * There are no Recommends and Suggests, fixed. (Closes: #619748)
  * Updated download url in debian/copyright.
  * Updated Standard-version to 3.9.2.
  * Updated lintian overrides about script-not-executable.
  * Rewrite debian/rules instead of patching the Makefile.
  * The installation location is not compliant with Debian policy, fixed.

 -- Vern Sun <s5unty@gmail.com>  Fri, 18 Nov 2011 21:09:24 +0800

=== debian/control ===
Source: ranger
Section: utils
Priority: extra
Maintainer: Vern Sun <s5unty@gmail.com>
Build-Depends: debhelper (>= 7.0.50), python (>= 2.6), ncurses-bin (>= 5.7+20100313-5)
X-Python-Version: >= 2.6
Standards-Version: 3.9.2
Homepage: http://ranger.nongnu.org/

Package: ranger
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, file, less
Suggests: atool, caca-utils, elinks-lite, highlight, poppler-utils
Provides: ${python:Provides}
Description: File manager with an ncurses frontend written in Python
 Ranger is a free console file manager that gives you greater flexibility and a
 good overview of your files without having to leave your *nix console. It
 visualizes the directory tree in two dimensions: the directory hierarchy on
 one, lists of files on the other, with a preview to the right so you know
 where you'll be going.
 .
 The default keys are similar to those of Vim, Emacs and Midnight Commander,
 though Ranger is easily controllable with just the arrow keys or the mouse.
 .
 The program is written in Python and uses curses for the text-based user
 interface.

=== debian/rules ===
#!/usr/bin/make -f

DH_VERBOSE=1

# Unset the environment variables set by dpkg-buildpackage. (This is
# necessary because distutils is brittle with compiler/linker flags
# set. Specifically, packages using f2py will break without this.)
unexport CPPFLAGS
unexport CFLAGS
unexport CXXFLAGS
unexport FFLAGS
unexport LDFLAGS

%:
	dh $@ --with python2 --buildsystem=python_distutils

## ranger 1.5.4

=== Makefile ===
--- 
+++ 
@@ -36,6 +36,7 @@
 	@echo 'PYTHON = $(PYTHON)'
 	@echo 'PYOPTIMIZE = $(PYOPTIMIZE)'
 	@echo 'DOCDIR = $(DOCDIR)'
+	@echo 'DESTDIR = $(DESTDIR)'
 
 help:
 	@echo 'make:          Test and compile ranger.'
@@ -90,4 +91,4 @@
 todo:
 	@grep --color -Ion '\(TODO\|XXX\).*' -r ranger
 
-.PHONY: default options compile clean doc cleandoc snapshot install man todo
+.PHONY: clean cleandoc compile default doc help install man manhtml options snapshot test todo

=== debian/changelog ===
ranger (1.5.4-1) unstable; urgency=low

  * New upstream release.
  * Remove Depends on 'less'. (Closes: #672144)

 -- Vern Sun <s5unty@gmail.com>  Sat, 19 May 2012 20:56:15 +0800

ranger (1.5.3-1) unstable; urgency=low

  * New upstream release.

 -- Vern Sun <s5unty@gmail.com>  Sat, 24 Mar 2012 10:14:32 +0800

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Maintainer: Vern Sun <s5unty@gmail.com>
 Build-Depends: debhelper (>= 7.0.50), python (>= 2.6), ncurses-bin (>= 5.7+20100313-5)
 X-Python-Version: >= 2.6
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://ranger.nongnu.org/
 
 Package: ranger
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, file, less
-Suggests: atool, caca-utils, elinks-lite, highlight, poppler-utils
+Depends: ${misc:Depends}, ${python:Depends}, file
+Suggests: atool, caca-utils, elinks-lite, highlight, less, poppler-utils
 Provides: ${python:Provides}
 Description: File manager with an ncurses frontend written in Python
  Ranger is a free console file manager that gives you greater flexibility and a

## ranger 1.6.0

=== Makefile ===
--- 
+++ 
@@ -1,25 +1,15 @@
-# Copyright (C) 2009, 2010, 2011  Roman Zimbelmann <romanz@lavabit.com>
-#
-# This program is free software: you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation, either version 3 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program.  If not, see <http://www.gnu.org/licenses/>.
+# Copyright (C) 2009-2013  Roman Zimbelmann <hut@lavabit.com>
+# This software is distributed under the terms of the GNU GPL version 3.
 
 NAME = ranger
 VERSION = $(shell grep -m 1 -o '[0-9][0-9.]\+' README)
+NAME_RIFLE = rifle
+VERSION_RIFLE = $(VERSION)
 SNAPSHOT_NAME ?= $(NAME)-$(VERSION)-$(shell git rev-parse HEAD | cut -b 1-8).tar.gz
 # Find suitable python version (need python >= 2.6 or 3.1):
 PYTHON ?= $(shell python -c 'import sys; sys.exit(sys.version < "2.6")' && \
-	which python || which python3.2 || which python3.1 || which python3 || \
-	which python2.6)
+	which python || which python3.3 || which python3.2 || which python3.1 || \
+	which python3 || which python2.7 || which python2.6)
 SETUPOPTS ?= '--record=install_log.txt'
 DOCDIR ?= doc/pydoc
 DESTDIR ?= /
@@ -72,12 +62,14 @@
 test:
 	@for FILE in $(shell grep -IHm 1 doctest -r ranger | cut -d: -f1); do \
 		echo "Testing $$FILE..."; \
-		PYTHONPATH=".:"$$PYTHONPATH ${PYTHON} $$FILE; \
+		RANGER_DOCTEST=1 PYTHONPATH=".:"$$PYTHONPATH ${PYTHON} $$FILE; \
 	done
 
 man:
 	pod2man --stderr --center='ranger manual' --date='$(NAME)-$(VERSION)' \
 		--release=$(shell date +%x) doc/ranger.pod doc/ranger.1
+	pod2man --stderr --center='rifle manual' --date='$(NAME_RIFLE)-$(VERSION_RIFLE)' \
+		--release=$(shell date +%x) doc/rifle.pod doc/rifle.1
 
 manhtml:
 	pod2html doc/ranger.pod --outfile=doc/ranger.1.html
@@ -88,7 +80,9 @@
 snapshot:
 	git archive --prefix='$(NAME)-$(VERSION)/' --format=tar HEAD | gzip > $(SNAPSHOT_NAME)
 
+dist: snapshot
+
 todo:
 	@grep --color -Ion '\(TODO\|XXX\).*' -r ranger
 
-.PHONY: clean cleandoc compile default doc help install man manhtml options snapshot test todo
+.PHONY: clean cleandoc compile default dist doc help install man manhtml options snapshot test todo

=== debian/changelog ===
ranger (1.6.0-1) unstable; urgency=low

  * New upstream release.
  * Updated Standard-version to 3.9.4.
  * Updated Build-Depends.
  * Removed `Provides: ${python:Provides}'
  * Better Suggests:
    - 'elinks-lint' => 'w3m | lynx | elinks | elinks-lite'
  * New Recommends:
    - 'file' for determining file types
    - The 'python-chardet', in case of encoding detection problems
    - 'sudo' to use the "run as root"-feature
    - 'w3m-img' for previewing images in "true color".
  * Moving the modules to a private directory.
    - debian/patches/00-private-search-path.diff
  * Relocate configuration files and create symbolic links.
    - debian/patches/01-installation-location.diff
      - config/rc.conf
      - config/rifle.conf
      - data/scope.sh
      - data/mime.types
  * Make sensible decisions on which pager and editor.
    - debian/patches/02-default-pager-and-editor.diff
  * Ranger doesn't honour TMPDIR, fixed.
    - debian/patches/03-make-tmpdir-clear.diff
  * lintian4python emits `Pyflakes-undefined-name`, fixed.
    - debian/patches/04-undefined-errno.diff

 -- Vern Sun <s5unty@gmail.com>  Wed, 27 Mar 2013 01:20:45 +0800

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,16 @@
 Section: utils
 Priority: extra
 Maintainer: Vern Sun <s5unty@gmail.com>
-Build-Depends: debhelper (>= 7.0.50), python (>= 2.6), ncurses-bin (>= 5.7+20100313-5)
+Build-Depends: debhelper (>= 8), python-all (>= 2.6.6-3~), ncurses-bin (>= 5.7+20100313-5)
 X-Python-Version: >= 2.6
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://ranger.nongnu.org/
 
 Package: ranger
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, file
-Suggests: atool, caca-utils, elinks-lite, highlight, less, poppler-utils
-Provides: ${python:Provides}
+Depends: ${misc:Depends}, ${python:Depends}
+Recommends: file, python-chardet, sudo, w3m-img
+Suggests: atool, caca-utils, elinks | elinks-lite | lynx | w3m, highlight, less, poppler-utils
 Description: File manager with an ncurses frontend written in Python
  Ranger is a free console file manager that gives you greater flexibility and a
  good overview of your files without having to leave your *nix console. It

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,4 @@
 #!/usr/bin/make -f
-
-DH_VERBOSE=1
 
 # Unset the environment variables set by dpkg-buildpackage. (This is
 # necessary because distutils is brittle with compiler/linker flags
@@ -13,3 +11,12 @@
 
 %:
 	dh $@ --with python2 --buildsystem=python_distutils
+
+override_dh_auto_install:
+	dh_link etc/ranger/config/rifle.conf usr/share/ranger/ranger/config/rifle.conf
+	dh_link etc/ranger/config/rc.conf usr/share/ranger/ranger/config/rc.conf
+	dh_link etc/ranger/data usr/share/ranger/ranger/data
+	dh_link usr/share/ranger/rifle usr/bin/rifle
+	dh_link usr/share/ranger/ranger/ranger usr/bin/ranger
+	dh_auto_install -- --install-lib /usr/share/ranger \
+		--install-scripts /usr/share/ranger

=== debian/watch ===
version=3
http://githubredir.debian.net/github/hut/ranger/v(.*).tar.gz

## ranger 1.6.1

=== Makefile ===
--- 
+++ 
@@ -48,7 +48,7 @@
 	PYTHONOPTIMIZE=$(PYOPTIMIZE) $(PYTHON) -m compileall -q ranger
 
 clean:
-	find ranger -regex .\*.py[co]\$$ -delete
+	find ranger -regex .\*\.py[co]\$$ -delete
 	find ranger -depth -name __pycache__ -type d -exec rm -rf -- {} \;
 
 doc: cleandoc

=== debian/changelog ===
ranger (1.6.1-1) unstable; urgency=low

  * New upstream release. (Closes: #734300)
    Thanks: James Dietrich <jdietrch@fastmail.fm>
            Mateusz Łukasik <mati75@linuxmint.pl>
  * Typo in a command name, fixed. (Closes: #711510)
    Thanks: niku <vaibhav.niku@gmail.com>
  * Updated Standard-version to 3.9.5.
  * Upgrade compat magic number to 9.
  * Add upstream documents.
    - doc/HACKING
    - doc/colorschemes.txt

 -- Vern Sun <s5unty@gmail.com>  Sun, 23 Feb 2014 11:59:24 +0800

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: utils
 Priority: extra
 Maintainer: Vern Sun <s5unty@gmail.com>
-Build-Depends: debhelper (>= 8), python-all (>= 2.6.6-3~), ncurses-bin (>= 5.7+20100313-5)
+Build-Depends: debhelper (>= 9), python (>= 2.6.8-1~), ncurses-bin (>= 5.7+20100313-5)
 X-Python-Version: >= 2.6
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://ranger.nongnu.org/
 
 Package: ranger

=== debian/rules ===
#!/usr/bin/make -f

# Unset the environment variables set by dpkg-buildpackage. (This is
# necessary because distutils is brittle with compiler/linker flags
# set. Specifically, packages using f2py will break without this.)
unexport CPPFLAGS
unexport CFLAGS
unexport CXXFLAGS
unexport FFLAGS
unexport LDFLAGS

%:
	dh $@ --with python2

override_dh_auto_install:
	python setup.py install --root=debian/ranger --install-layout=deb
	# avoid extra-license-file
	rm debian/ranger/usr/share/doc/ranger/CHANGELOG
	# tell lintian to not complain
	find debian/ranger -regex ".*/data/scope.sh" -exec chmod u+x {} \;

override_dh_auto_build:

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/
http://githubredir.debian.net/github/hut/ranger/v(.*).tar.gz

## ranger 1.7.1

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
-# Copyright (C) 2009-2013  Roman Zimbelmann <hut@lavabit.com>
-# This software is distributed under the terms of the GNU GPL version 3.
+# This file is part of ranger, the console file manager.
+# License: GNU GPL version 3, see the file "AUTHORS" for details.
 
 NAME = ranger
-VERSION = $(shell grep -m 1 -o '[0-9][0-9.]\+' README)
+VERSION = $(shell grep -m 1 -o '[0-9][0-9.]\+' README.md)
 NAME_RIFLE = rifle
 VERSION_RIFLE = $(VERSION)
 SNAPSHOT_NAME ?= $(NAME)-$(VERSION)-$(shell git rev-parse HEAD | cut -b 1-8).tar.gz
@@ -14,6 +14,7 @@
 DOCDIR ?= doc/pydoc
 DESTDIR ?= /
 PYOPTIMIZE ?= 1
+FILTER ?= .
 
 CWD = $(shell pwd)
 
@@ -57,10 +58,10 @@
 		$(PYTHON) -c 'import pydoc, sys; \
 		sys.path[0] = "$(CWD)"; \
 		pydoc.writedocs("$(CWD)")'
-	find . -name \*.html -exec sed -i 's|'$(CWD)'|../..|g' -- {} \;
+	find . -name \*.html -exec sed -i 's|'"$(CWD)"'|../..|g' -- {} \;
 
 test:
-	@for FILE in $(shell grep -IHm 1 doctest -r ranger | cut -d: -f1); do \
+	@for FILE in $(shell grep -IHm 1 doctest -r ranger | grep $(FILTER) | cut -d: -f1); do \
 		echo "Testing $$FILE..."; \
 		RANGER_DOCTEST=1 PYTHONPATH=".:"$$PYTHONPATH ${PYTHON} $$FILE; \
 	done

=== debian/changelog ===
ranger (1.7.1-1) unstable; urgency=low

  * New upstream release. (Closes: #778506, #784875)
  * Updated Standard-version to 3.9.6.
  * Add more upstream authors.
  * Bashism in rifle_sxiv.sh, fixed. (Closes: #772351)
    Thanks: Raphael Geissert <atomo64@gmail.com>
  * Upstream documents are updated.
    (R) HACKING -> HACKING.md
    (R) README -> README.md
    (A) AUTHORS

 -- Vern Sun <s5unty@gmail.com>  Tue, 16 Jun 2015 10:06:37 +0800

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: utils
 Priority: extra
 Maintainer: Vern Sun <s5unty@gmail.com>
-Build-Depends: debhelper (>= 9), python (>= 2.6.8-1~), ncurses-bin (>= 5.7+20100313-5)
+Build-Depends: debhelper (>= 9), dh-python (>= 1), python (>= 2.6.8-1~), ncurses-bin (>= 5.7+20100313-5)
 X-Python-Version: >= 2.6
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://ranger.nongnu.org/
 
 Package: ranger

=== debian/rules ===
--- 
+++ 
@@ -9,15 +9,27 @@
 unexport FFLAGS
 unexport LDFLAGS
 
+PYVER = $(shell pyversions -r)
+
 %:
 	dh $@ --with python2
 
+override_dh_auto_clean:
+	dh_auto_clean
+	rm -rf build
+
 override_dh_auto_install:
 	python setup.py install --root=debian/ranger --install-layout=deb
+	# link configuration
+	dh_link \
+		./usr/lib/$(PYVER)/dist-packages/ranger/config/commands.py    ./etc/ranger/config/commands.py \
+		./usr/lib/$(PYVER)/dist-packages/ranger/config/rc.conf        ./etc/ranger/config/rc.conf     \
+		./usr/lib/$(PYVER)/dist-packages/ranger/config/rifle.conf     ./etc/ranger/config/rifle.conf  \
+		./usr/lib/$(PYVER)/dist-packages/ranger/data/scope.sh         ./etc/ranger/data/scope.sh      \
+		./usr/lib/$(PYVER)/dist-packages/ranger/data/mime.types       ./etc/ranger/data/mime.types
 	# avoid extra-license-file
 	rm debian/ranger/usr/share/doc/ranger/CHANGELOG
 	# tell lintian to not complain
 	find debian/ranger -regex ".*/data/scope.sh" -exec chmod u+x {} \;
 
 override_dh_auto_build:
-

=== debian/watch ===
version=3
https://github.com/hut/ranger/tags .*/archive/v(\d\S*)\.tar\.gz

## ranger 1.8.1

=== Makefile ===
--- 
+++ 
@@ -61,10 +61,18 @@
 	find . -name \*.html -exec sed -i 's|'"$(CWD)"'|../..|g' -- {} \;
 
 test:
+	@echo "Running doctests..."
 	@for FILE in $(shell grep -IHm 1 doctest -r ranger | grep $(FILTER) | cut -d: -f1); do \
 		echo "Testing $$FILE..."; \
 		RANGER_DOCTEST=1 PYTHONPATH=".:"$$PYTHONPATH ${PYTHON} $$FILE; \
 	done
+	@if type py.test > /dev/null; then \
+		echo "Running py.test tests..."; \
+		py.test tests; \
+	else \
+		echo "WARNING: Couldn't run some tests because py.test is not installed!"; \
+	fi
+	@echo "Finished testing."
 
 man:
 	pod2man --stderr --center='ranger manual' --date='$(NAME)-$(VERSION)' \

=== debian/changelog ===
ranger (1.8.1-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches:
    - 0002-make-sensible-decisions-on-which-pager-and-editor.patch: Drop 
      sensible-pager it functionnalities breaks. See upstream bug for that:
      https://github.com/ranger/ranger/issues/750 (Closes: #854646)
  * debian/control: Move less to Depends.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Thu, 09 Feb 2017 21:17:58 +0100

ranger (1.8.1-0.1) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Update copyright file

  [ Mateusz Łukasik ]
  * Non-maintainer upload.
  * New upstream bugfix release. (Closes: #829114)
  * debian/patches:
    - Refresh 0002-make-sensible-decisions-on-which-pager-and-editor.patch.
    - Drop 0003-honour-TMPDIR-environment-variable.patch - included upstream.
    - Rename 0004-closes-772351-thanks-Raphael-Geissert.patch to
      0003-closes-772351-thanks-Raphael-Geissert.patch.
  * debian/control:
    - Updated Standard-version to 3.9.8.
    - Move sudo from Recommends to Suggests. (Closes: #771803)
    - Bump minimal python version to 2.7.
  * Bump debhelper version to 10.
  * Add debian/lintian-overrides.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Sun, 22 Jan 2017 19:57:54 +0100

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,16 @@
 Section: utils
 Priority: extra
 Maintainer: Vern Sun <s5unty@gmail.com>
-Build-Depends: debhelper (>= 9), dh-python (>= 1), python (>= 2.6.8-1~), ncurses-bin (>= 5.7+20100313-5)
-X-Python-Version: >= 2.6
-Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 10), dh-python (>= 1), python (>= 2.7), ncurses-bin (>= 5.7+20100313-5)
+X-Python-Version: >= 2.7
+Standards-Version: 3.9.8
 Homepage: http://ranger.nongnu.org/
 
 Package: ranger
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}
-Recommends: file, python-chardet, sudo, w3m-img
-Suggests: atool, caca-utils, elinks | elinks-lite | lynx | w3m, highlight, less, poppler-utils
+Depends: ${misc:Depends}, ${python:Depends}, less
+Recommends: file, python-chardet, w3m-img
+Suggests: atool, caca-utils, elinks | elinks-lite | lynx | w3m, highlight, poppler-utils, sudo
 Description: File manager with an ncurses frontend written in Python
  Ranger is a free console file manager that gives you greater flexibility and a
  good overview of your files without having to leave your *nix console. It

=== debian/rules ===
--- 
+++ 
@@ -28,7 +28,7 @@
 		./usr/lib/$(PYVER)/dist-packages/ranger/data/scope.sh         ./etc/ranger/data/scope.sh      \
 		./usr/lib/$(PYVER)/dist-packages/ranger/data/mime.types       ./etc/ranger/data/mime.types
 	# avoid extra-license-file
-	rm debian/ranger/usr/share/doc/ranger/CHANGELOG
+	rm debian/ranger/usr/share/doc/ranger/CHANGELOG.md
 	# tell lintian to not complain
 	find debian/ranger -regex ".*/data/scope.sh" -exec chmod u+x {} \;

## ranger 1.9.2

=== Makefile ===
# This file is part of ranger, the console file manager.
# License: GNU GPL version 3, see the file "AUTHORS" for details.

NAME = ranger
VERSION = $(shell grep -m 1 -o '[0-9][0-9.]\+\S*' README.md)
NAME_RIFLE = rifle
VERSION_RIFLE = $(VERSION)
SNAPSHOT_NAME ?= $(NAME)-$(VERSION)-$(shell git rev-parse HEAD | cut -b 1-8).tar.gz
# Find suitable python version (need python >= 2.6 or 3.1):
PYTHON ?= $(shell \
	     (python -c 'import sys; sys.exit(sys.version < "2.6")' && \
	      which python) \
	     || (which python3) \
	     || (python2 -c 'import sys; sys.exit(sys.version < "2.6")' && \
	         which python2) \
	   )
ifeq ($(PYTHON),)
  $(error No suitable python found.)
endif
SETUPOPTS ?= '--record=install_log.txt'
DOCDIR ?= doc/pydoc
DESTDIR ?= /
PYOPTIMIZE ?= 1
FILTER ?= .

CWD = $(shell pwd)

default: test compile
	@echo 'Run `make options` for a list of all options'

options: help
	@echo
	@echo 'Options:'
	@echo 'PYTHON = $(PYTHON)'
	@echo 'PYOPTIMIZE = $(PYOPTIMIZE)'
	@echo 'DOCDIR = $(DOCDIR)'
	@echo 'DESTDIR = $(DESTDIR)'

help:
	@echo 'make:              Test and compile ranger.'
	@echo 'make install:      Install $(NAME)'
	@echo 'make pypi_sdist:   Release a new sdist to PyPI'
	@echo 'make clean:        Remove the compiled files (*.pyc, *.pyo)'
	@echo 'make doc:          Create the pydoc documentation'
	@echo 'make cleandoc:     Remove the pydoc documentation'
	@echo 'make man:          Compile the manpage with "pod2man"'
	@echo 'make manhtml:      Compile the html manpage with "pod2html"'
	@echo 'make snapshot:     Create a tar.gz of the current git revision'
	@echo 'make test:         Test everything'
	@echo 'make test_pylint:  Test using pylint'
	@echo 'make test_flake8:  Test using flake8'
	@echo 'make test_doctest: Test using doctest'
	@echo 'make test_pytest:  Test using pytest'
	@echo 'make todo:         Look for TODO and XXX markers in the source code'

install:
	$(PYTHON) setup.py install $(SETUPOPTS) \
		'--root=$(DESTDIR)' --optimize=$(PYOPTIMIZE)

compile: clean
	PYTHONOPTIMIZE=$(PYOPTIMIZE) $(PYTHON) -m compileall -q ranger

clean:
	find ranger -regex .\*\.py[co]\$$ -delete
	find ranger -depth -name __pycache__ -type d -exec rm -r -- {} \;

doc: cleandoc
	mkdir -p $(DOCDIR)
	cd $(DOCDIR); \
		$(PYTHON) -c 'import pydoc, sys; \
		sys.path[0] = "$(CWD)"; \
		pydoc.writedocs("$(CWD)")'
	find . -name \*.html -exec sed -i 's|'"$(CWD)"'|../..|g' -- {} \;

TEST_PATHS_MAIN = \
	$(shell find ./ranger -mindepth 1 -maxdepth 1 -type d \
		! -name '__pycache__' \
		! -path './ranger/config' \
		! -path './ranger/data' \
	) \
	./ranger/__init__.py \
	$(shell find ./doc/tools ./examples -type f -name '*.py') \
	./ranger.py \
	./setup.py \
	./tests
TEST_PATH_CONFIG = ./ranger/config

test_pylint:
	@echo "Running pylint..."
	pylint $(TEST_PATHS_MAIN)
	pylint --rcfile=$(TEST_PATH_CONFIG)/.pylintrc $(TEST_PATH_CONFIG)

test_flake8:
	@echo "Running flake8..."
	flake8 $(TEST_PATHS_MAIN) $(TEST_PATH_CONFIG)

test_doctest:
	@echo "Running doctests..."
	@for FILE in $(shell grep -IHm 1 doctest -r ranger | grep $(FILTER) | cut -d: -f1); do \
		echo "Testing $$FILE..."; \
		RANGER_DOCTEST=1 PYTHONPATH=".:"$$PYTHONPATH ${PYTHON} $$FILE; \
	done

test_pytest:
	@echo "Running py.test tests..."
	py.test tests

test_other:
	@echo "Checking completeness of man page..."
	@tests/manpage_completion_test.py

test: test_pylint test_flake8 test_doctest test_pytest test_other
	@echo "Finished testing: All tests passed!"

man:
	pod2man --stderr --center='ranger manual' --date='$(NAME)-$(VERSION)' \
		--release=$(shell date +%x) doc/ranger.pod doc/ranger.1
	pod2man --stderr --center='rifle manual' --date='$(NAME_RIFLE)-$(VERSION_RIFLE)' \
		--release=$(shell date +%x) doc/rifle.pod doc/rifle.1

manhtml:
	pod2html doc/ranger.pod --outfile=doc/ranger.1.html

cleandoc:
	test -d $(DOCDIR) && rm -- $(DOCDIR)/*.html || true

snapshot:
	git archive --prefix='$(NAME)-$(VERSION)/' --format=tar HEAD | gzip > $(SNAPSHOT_NAME)

dist: snapshot

todo:
	@grep --color -Ion '\(TODO\|XXX\).*' -r ranger

.PHONY: clean cleandoc compile default dist doc help install man manhtml \
	options snapshot test test_pylint test_flake8 test_doctest test_pytest \
	test_other todo pypi_sdist

=== debian/changelog ===
ranger (1.9.2-4) unstable; urgency=medium

  * Rebuild against python3.7 .

 -- Mo Zhou <cdluminate@gmail.com>  Mon, 24 Dec 2018 02:20:36 +0000

ranger (1.9.2-3) unstable; urgency=medium

  * Update Description and Suggestions.
  * Depends on python3-chardet instead of it's python2 version.
  * Also install CONTRIBUTING.md as a doc.

 -- Mo Zhou <cdluminate@gmail.com>  Sat, 17 Nov 2018 22:50:59 +0000

ranger (1.9.2-2) unstable; urgency=medium

  * Fix broken symlinks: /etc/ranger/.* -> /usr/lib/python3.6/.*
    It should point to /usr/lib/python3/.* instead. (Closes: #911068)

 -- Mo Zhou <cdluminate@gmail.com>  Mon, 15 Oct 2018 12:06:12 +0000

ranger (1.9.2-1) unstable; urgency=medium

  [ Mo Zhou ]
  * Set up a project repository on Debian Salsa:
    https://salsa.debian.org/debian/ranger
  * Add myself to uploaders.
  * Bump debhelper compat level to 11.
  * Fix Vcs-* fields and update homepage URL.
  * Move from python2 to python3:
    - Completely drop python2 from rules.
    - Drop all python2 dependencies.
    * Patch makefile to use python3 tools. (+ make-use-py3tools.patch)
    * Patch upstream python files to refer python3 in shebang.
  * Export TERM=linux in rules instead of upstream Makefile.
  * Export HOME=/tmp/ in rules to avoid test failure due to /sbuild-nonexistent
  * Autopkgtest test case missed runtime dependency: procps.
  * Convert copyright into machine-readable format.

  [ Vern Sun ]
  * New upstream release. (Closes: #908982)
  * Move to Python 3. (Closes: #910401)
    https://www.debian.org/doc/packaging-manuals/python-policy/ch-python3.html
  * Enable sensible-pager again, no offence.
  * New CI tests, by reference to the GNU Screen.

 -- Vern Sun <s5unty@gmail.com>  Sun, 14 Oct 2018 09:27:29 +0000

=== debian/control ===
Source: ranger
Section: utils
Priority: optional
Maintainer: Vern Sun <s5unty@gmail.com>
Uploaders: Mo Zhou <cdluminate@gmail.com>
Standards-Version: 4.2.1
Build-Depends:
    debhelper (>= 11~),
    python3-all,
    pylint3,
    python3-pytest,
    flake8,
    ncurses-bin (>= 5.7+20100313-5),
    dh-python,
Vcs-Git: https://salsa.debian.org/debian/ranger.git
Vcs-Browser: https://salsa.debian.org/debian/ranger
Homepage: https://ranger.github.io

Package: ranger
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, sensible-utils
Recommends: file, less, python3-chardet, w3m-img,
Suggests: atool, caca-utils, sudo, poppler-utils | mupdf-tools,
          elinks | elinks-lite | lynx | w3m, highlight | python-pygments,
          unoconv, mediainfo | exiftool,
Description: Console File Manager with VI Key Bindings
 Ranger is a console file manager with VI key bindings.  It provides a
 minimalistic and nice curses interface with a view on the directory hierarchy.
 It ships with "rifle", a file launcher that is good at automatically finding
 out which program to use for what file type.
 .
 Design Goals
  * An easily maintainable file manager in a high level language
  * A quick way to switch directories and browse the file system
  * Keep it small but useful, do one thing and do it well
  * Console based, with smooth integration into the unix shell

=== debian/tests/control ===
Test-Command: prove -v debian/tests/t
Depends: @, perl, screen, procps
